Get health detail
curl --request GET \
--url https://api.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcpServerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentStatus": "<string>",
"currentStatusAt": "2023-11-07T05:31:56Z",
"uptimePercentage": 123,
"uptimeWindowDays": 123,
"dailyRollup": [
{
"date": "<string>",
"totalChecks": 123,
"healthyCount": 123,
"unhealthyCount": 123,
"unreachableCount": 123,
"uptimePct": 123,
"avgResponseMs": 123
}
],
"recentChecks": [
{
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": "<string>"
}
]
}MCP Servers
Get health detail
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | MCP_REGISTRY | READ | MCP_REGISTRY:READ |
GET
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
health
Get health detail
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Query Parameters
⌘I
